Index: external/fastjet/contribs/RecursiveTools/COPYING
===================================================================
--- external/fastjet/contribs/RecursiveTools/COPYING	(revision d38348d6fa05d814372b4af29ec82c9928ff5be9)
+++ external/fastjet/contribs/RecursiveTools/COPYING	(revision d38348d6fa05d814372b4af29ec82c9928ff5be9)
@@ -0,0 +1,359 @@
+The RecursiveTools contrib to FastJet is released 
+under the terms of the GNU General Public License v2 (GPLv2). 
+
+A copy of the GPLv2 is to be found at the end of this file.
+
+While the GPL license grants you considerable freedom, please bear in
+mind that this code's use falls under guidelines similar to those that
+are standard for Monte Carlo event generators
+(http://www.montecarlonet.org/GUIDELINES). In particular, if you use
+this code as part of work towards a scientific publication, whether
+directly or contained within another program you should include a
+citation to
+
+  arXiv:1307.0007
+  arXiv:1402.2657
+
+======================================================================
+======================================================================
+======================================================================
+		    GNU GENERAL PUBLIC LICENSE
+		       Version 2, June 1991
+
+ Copyright (C) 1989, 1991 Free Software Foundation, Inc.
+     59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ Everyone is permitted to copy and distribute verbatim copies
+ of this license document, but changing it is not allowed.
+
+			    Preamble
+
+  The licenses for most software are designed to take away your
+freedom to share and change it.  By contrast, the GNU General Public
+License is intended to guarantee your freedom to share and change free
+software--to make sure the software is free for all its users.  This
+General Public License applies to most of the Free Software
+Foundation's software and to any other program whose authors commit to
+using it.  (Some other Free Software Foundation software is covered by
+the GNU Library General Public License instead.)  You can apply it to
+your programs, too.
+
+  When we speak of free software, we are referring to freedom, not
+price.  Our General Public Licenses are designed to make sure that you
+have the freedom to distribute copies of free software (and charge for
+this service if you wish), that you receive source code or can get it
+if you want it, that you can change the software or use pieces of it
+in new free programs; and that you know you can do these things.
+
+  To protect your rights, we need to make restrictions that forbid
+anyone to deny you these rights or to ask you to surrender the rights.
+These restrictions translate to certain responsibilities for you if you
+distribute copies of the software, or if you modify it.
+
+  For example, if you distribute copies of such a program, whether
+gratis or for a fee, you must give the recipients all the rights that
+you have.  You must make sure that they, too, receive or can get the
+source code.  And you must show them these terms so they know their
+rights.
+
+  We protect your rights with two steps: (1) copyright the software, and
+(2) offer you this license which gives you legal permission to copy,
+distribute and/or modify the software.
+
+  Also, for each author's protection and ours, we want to make certain
+that everyone understands that there is no warranty for this free
+software.  If the software is modified by someone else and passed on, we
+want its recipients to know that what they have is not the original, so
+that any problems introduced by others will not reflect on the original
+authors' reputations.
+
+  Finally, any free program is threatened constantly by software
+patents.  We wish to avoid the danger that redistributors of a free
+program will individually obtain patent licenses, in effect making the
+program proprietary.  To prevent this, we have made it clear that any
+patent must be licensed for everyone's free use or not licensed at all.
+
+  The precise terms and conditions for copying, distribution and
+modification follow.
+
+		    GNU GENERAL PUBLIC LICENSE
+   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
+
+  0. This License applies to any program or other work which contains
+a notice placed by the copyright holder saying it may be distributed
+under the terms of this General Public License.  The "Program", below,
+refers to any such program or work, and a "work based on the Program"
+means either the Program or any derivative work under copyright law:
+that is to say, a work containing the Program or a portion of it,
+either verbatim or with modifications and/or translated into another
+language.  (Hereinafter, translation is included without limitation in
+the term "modification".)  Each licensee is addressed as "you".
+
+Activities other than copying, distribution and modification are not
+covered by this License; they are outside its scope.  The act of
+running the Program is not restricted, and the output from the Program
+is covered only if its contents constitute a work based on the
+Program (independent of having been made by running the Program).
+Whether that is true depends on what the Program does.
+
+  1. You may copy and distribute verbatim copies of the Program's
+source code as you receive it, in any medium, provided that you
+conspicuously and appropriately publish on each copy an appropriate
+copyright notice and disclaimer of warranty; keep intact all the
+notices that refer to this License and to the absence of any warranty;
+and give any other recipients of the Program a copy of this License
+along with the Program.
+
+You may charge a fee for the physical act of transferring a copy, and
+you may at your option offer warranty protection in exchange for a fee.
+
+  2. You may modify your copy or copies of the Program or any portion
+of it, thus forming a work based on the Program, and copy and
+distribute such modifications or work under the terms of Section 1
+above, provided that you also meet all of these conditions:
+
+    a) You must cause the modified files to carry prominent notices
+    stating that you changed the files and the date of any change.
+
+    b) You must cause any work that you distribute or publish, that in
+    whole or in part contains or is derived from the Program or any
+    part thereof, to be licensed as a whole at no charge to all third
+    parties under the terms of this License.
+
+    c) If the modified program normally reads commands interactively
+    when run, you must cause it, when started running for such
+    interactive use in the most ordinary way, to print or display an
+    announcement including an appropriate copyright notice and a
+    notice that there is no warranty (or else, saying that you provide
+    a warranty) and that users may redistribute the program under
+    these conditions, and telling the user how to view a copy of this
+    License.  (Exception: if the Program itself is interactive but
+    does not normally print such an announcement, your work based on
+    the Program is not required to print an announcement.)
+
+These requirements apply to the modified work as a whole.  If
+identifiable sections of that work are not derived from the Program,
+and can be reasonably considered independent and separate works in
+themselves, then this License, and its terms, do not apply to those
+sections when you distribute them as separate works.  But when you
+distribute the same sections as part of a whole which is a work based
+on the Program, the distribution of the whole must be on the terms of
+this License, whose permissions for other licensees extend to the
+entire whole, and thus to each and every part regardless of who wrote it.
+
+Thus, it is not the intent of this section to claim rights or contest
+your rights to work written entirely by you; rather, the intent is to
+exercise the right to control the distribution of derivative or
+collective works based on the Program.
+
+In addition, mere aggregation of another work not based on the Program
+with the Program (or with a work based on the Program) on a volume of
+a storage or distribution medium does not bring the other work under
+the scope of this License.
+
+  3. You may copy and distribute the Program (or a work based on it,
+under Section 2) in object code or executable form under the terms of
+Sections 1 and 2 above provided that you also do one of the following:
+
+    a) Accompany it with the complete corresponding machine-readable
+    source code, which must be distributed under the terms of Sections
+    1 and 2 above on a medium customarily used for software interchange; or,
+
+    b) Accompany it with a written offer, valid for at least three
+    years, to give any third party, for a charge no more than your
+    cost of physically performing source distribution, a complete
+    machine-readable copy of the corresponding source code, to be
+    distributed under the terms of Sections 1 and 2 above on a medium
+    customarily used for software interchange; or,
+
+    c) Accompany it with the information you received as to the offer
+    to distribute corresponding source code.  (This alternative is
+    allowed only for noncommercial distribution and only if you
+    received the program in object code or executable form with such
+    an offer, in accord with Subsection b above.)
+
+The source code for a work means the preferred form of the work for
+making modifications to it.  For an executable work, complete source
+code means all the source code for all modules it contains, plus any
+associated interface definition files, plus the scripts used to
+control compilation and installation of the executable.  However, as a
+special exception, the source code distributed need not include
+anything that is normally distributed (in either source or binary
+form) with the major components (compiler, kernel, and so on) of the
+operating system on which the executable runs, unless that component
+itself accompanies the executable.
+
+If distribution of executable or object code is made by offering
+access to copy from a designated place, then offering equivalent
+access to copy the source code from the same place counts as
+distribution of the source code, even though third parties are not
+compelled to copy the source along with the object code.
+
+  4. You may not copy, modify, sublicense, or distribute the Program
+except as expressly provided under this License.  Any attempt
+otherwise to copy, modify, sublicense or distribute the Program is
+void, and will automatically terminate your rights under this License.
+However, parties who have received copies, or rights, from you under
+this License will not have their licenses terminated so long as such
+parties remain in full compliance.
+
+  5. You are not required to accept this License, since you have not
+signed it.  However, nothing else grants you permission to modify or
+distribute the Program or its derivative works.  These actions are
+prohibited by law if you do not accept this License.  Therefore, by
+modifying or distributing the Program (or any work based on the
+Program), you indicate your acceptance of this License to do so, and
+all its terms and conditions for copying, distributing or modifying
+the Program or works based on it.
+
+  6. Each time you redistribute the Program (or any work based on the
+Program), the recipient automatically receives a license from the
+original licensor to copy, distribute or modify the Program subject to
+these terms and conditions.  You may not impose any further
+restrictions on the recipients' exercise of the rights granted herein.
+You are not responsible for enforcing compliance by third parties to
+this License.
+
+  7. If, as a consequence of a court judgment or allegation of patent
+infringement or for any other reason (not limited to patent issues),
+conditions are imposed on you (whether by court order, agreement or
+otherwise) that contradict the conditions of this License, they do not
+excuse you from the conditions of this License.  If you cannot
+distribute so as to satisfy simultaneously your obligations under this
+License and any other pertinent obligations, then as a consequence you
+may not distribute the Program at all.  For example, if a patent
+license would not permit royalty-free redistribution of the Program by
+all those who receive copies directly or indirectly through you, then
+the only way you could satisfy both it and this License would be to
+refrain entirely from distribution of the Program.
+
+If any portion of this section is held invalid or unenforceable under
+any particular circumstance, the balance of the section is intended to
+apply and the section as a whole is intended to apply in other
+circumstances.
+
+It is not the purpose of this section to induce you to infringe any
+patents or other property right claims or to contest validity of any
+such claims; this section has the sole purpose of protecting the
+integrity of the free software distribution system, which is
+implemented by public license practices.  Many people have made
+generous contributions to the wide range of software distributed
+through that system in reliance on consistent application of that
+system; it is up to the author/donor to decide if he or she is willing
+to distribute software through any other system and a licensee cannot
+impose that choice.
+
+This section is intended to make thoroughly clear what is believed to
+be a consequence of the rest of this License.
+
+  8. If the distribution and/or use of the Program is restricted in
+certain countries either by patents or by copyrighted interfaces, the
+original copyright holder who places the Program under this License
+may add an explicit geographical distribution limitation excluding
+those countries, so that distribution is permitted only in or among
+countries not thus excluded.  In such case, this License incorporates
+the limitation as if written in the body of this License.
+
+  9. The Free Software Foundation may publish revised and/or new versions
+of the General Public License from time to time.  Such new versions will
+be similar in spirit to the present version, but may differ in detail to
+address new problems or concerns.
+
+Each version is given a distinguishing version number.  If the Program
+specifies a version number of this License which applies to it and "any
+later version", you have the option of following the terms and conditions
+either of that version or of any later version published by the Free
+Software Foundation.  If the Program does not specify a version number of
+this License, you may choose any version ever published by the Free Software
+Foundation.
+
+  10. If you wish to incorporate parts of the Program into other free
+programs whose distribution conditions are different, write to the author
+to ask for permission.  For software which is copyrighted by the Free
+Software Foundation, write to the Free Software Foundation; we sometimes
+make exceptions for this.  Our decision will be guided by the two goals
+of preserving the free status of all derivatives of our free software and
+of promoting the sharing and reuse of software generally.
+
+			    NO WARRANTY
+
+  11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
+FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
+OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
+PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
+OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
+TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
+PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
+REPAIR OR CORRECTION.
+
+  12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
+WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
+REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
+INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
+OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
+TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
+YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
+PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
+POSSIBILITY OF SUCH DAMAGES.
+
+		     END OF TERMS AND CONDITIONS
+
+	    How to Apply These Terms to Your New Programs
+
+  If you develop a new program, and you want it to be of the greatest
+possible use to the public, the best way to achieve this is to make it
+free software which everyone can redistribute and change under these terms.
+
+  To do so, attach the following notices to the program.  It is safest
+to attach them to the start of each source file to most effectively
+convey the exclusion of warranty; and each file should have at least
+the "copyright" line and a pointer to where the full notice is found.
+
+    <one line to give the program's name and a brief idea of what it does.>
+    Copyright (C) <year>  <name of author>
+
+    This program is free software; you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation; either version 2 of the License, or
+    (at your option) any later version.
+
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program; if not, write to the Free Software
+    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+
+Also add information on how to contact you by electronic and paper mail.
+
+If the program is interactive, make it output a short notice like this
+when it starts in an interactive mode:
+
+    Gnomovision version 69, Copyright (C) year  name of author
+    Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
+    This is free software, and you are welcome to redistribute it
+    under certain conditions; type `show c' for details.
+
+The hypothetical commands `show w' and `show c' should show the appropriate
+parts of the General Public License.  Of course, the commands you use may
+be called something other than `show w' and `show c'; they could even be
+mouse-clicks or menu items--whatever suits your program.
+
+You should also get your employer (if you work as a programmer) or your
+school, if any, to sign a "copyright disclaimer" for the program, if
+necessary.  Here is a sample; alter the names:
+
+  Yoyodyne, Inc., hereby disclaims all copyright interest in the program
+  `Gnomovision' (which makes passes at compilers) written by James Hacker.
+
+  <signature of Ty Coon>, 1 April 1989
+  Ty Coon, President of Vice
+
+This General Public License does not permit incorporating your program into
+proprietary programs.  If your program is a subroutine library, you may
+consider it more useful to permit linking proprietary applications with the
+library.  If this is what you want to do, use the GNU Library General
+Public License instead of this License.
Index: external/fastjet/contribs/RecursiveTools/ChangeLog
===================================================================
--- external/fastjet/contribs/RecursiveTools/ChangeLog	(revision d38348d6fa05d814372b4af29ec82c9928ff5be9)
+++ external/fastjet/contribs/RecursiveTools/ChangeLog	(revision d38348d6fa05d814372b4af29ec82c9928ff5be9)
@@ -0,0 +1,280 @@
+2014-07-09  Gregory Soyez  <soyez@fastjet.fr> + Jesse
+
+	* NEWS:
+	release of RecursiveTools v1.0.0
+
+	* VERSION:
+	switched version number to 1.0.0
+
+2014-07-08  Gavin Salam  <gavin.salam@cern.ch>
+
+	* README (RecursionChoice): 
+	added ref to .hh for constness specs of virtual functions (to
+	reduce risk of failed overloading due to wrong constness).
+
+2014-07-08  Gregory Soyez  <soyez@fastjet.fr> + Jesse
+
+	* README:
+	partially rewrote the description of set_subtractor
+
+2014-07-07  Gregory Soyez  <soyez@fastjet.fr> + Jesse
+
+	* example_advanced_usage.cc:
+	* example_softdrop.cc:
+	a few small fixed in the header of the files
+
+	* VERSION:
+	switched over to 1.0.0-alpha2-devel
+
+	* README:
+	Reordered a few things and added a few details.
+
+	* Makefile (check):
+	Be quiter during "make check"
+
+	* Recluster.cc (contrib):
+	Documented the "single" ctor argument
+
+	* RecursiveSymmetryCutBase.cc (contrib):
+	If the user sets himself the reclustering, disable the "non-CA"
+	warning (we assume that he knows what he is doing). Mentioned in
+	the comments that non-CA reclustering has to be used at the user's
+	risk. Also throw when th input jet has no constituents or when
+	there is no cluster sequence after reclustering.
+
+	* Recluster.cc (contrib):
+	replaced a remaining mention to "filtering" by reclustering
+
+2014-07-04  Jesse Thaler  <jthaler@jthaler.net>
+	* VERSION
+	  . Ready for alpha release
+
+2014-06-17  Jesse Thaler  <jthaler@jthaler.net>
+	* example_advanced_usage.{cc,ref}  ** ADDED **
+	* Makefile
+	  . New example file to test a bunch of soft drop options
+	  . Put in makefile as well
+	  . Fixed nasty memory bug with pointers to Recluster
+
+	* RecursiveSymmetryCutBase.cc
+	* example_softdrop.ref 
+	  . description() now says Groomer vs. Tagger
+
+	* RecursiveSymmetryCutBase.{cc,hh}
+	  . Added optional verbose logging information about
+	    kinematics of dropped branches
+	
+	* example_softdrop.cc
+	* example_advanced_usage.cc
+	  . Fixed 
+
+
+2014-06-16  Gregory Soyez  <soyez@fastjet.fr>
+
+	* Makefile:
+	also install the RecursiveSymmetryuCutBase.hh header
+
+2014-06-13  Jesse Thaler  <jthaler@jthaler.net>
+	* AUTHORS
+	  . Added myself to author list
+          . Put complete bibliographic details on papers
+
+	* COPYING
+	  . Added boilerplate MC/GPLv2 statement 
+
+        * example.cc:  ** REMOVED **  renamed to...
+        * example_mmdt.cc   ** ADDED **
+        * Makefile
+          . Made name change for consistency
+	  . Made corresponding changes in Makefile
+
+	* example_mmdt_sub.cc:
+	* example_mmdt.cc:
+	* example_recluster.cc:
+	  . light editing of comments
+
+	* example_softdrop.cc:
+	  . light editing of comments
+          . added assert for sdjet != 0, since SoftDrop is a groomer
+
+	* ModifiedMassDropTagger.hh
+	* Recluster.{cc,hh}
+	* RecursiveSymmetryCutBase.{cc,hh}
+	* SoftDrop.hh
+	  . Updated some comments
+
+	* README
+	  . Updated to include basic usage description and some 
+	    technical details
+
+	* TODO:
+	  . Added some discussion points.
+          
+2014-06-13  Gregory Soyez  <soyez@fastjet.fr>
+
+	* example_softdrop.{cc,ref}:
+	added an example for SoftDrop
+
+	* SoftDrop.{hh,cc}:
+	* ModifiedMassDropTagger.{hh,cc}:
+	* RecursiveSymmetryCutBase.{hh,cc}:        *** ADDED ***
+	  . added a base class for both the mMDT and SoftDrop
+	  . made mMDT and SoftDrop inherit from RecursiveSymmetryCutBase
+	  . moved the reclustering to the base class. By default, both
+	    mMDT and SoftDrop now recluster the jet with C/A
+	  . added set_grooming_mode and set_tagging_mode methods to the
+	    base class
+
+	* Merging the development branch 1.0-beta1-softdrop-addition back
+	into the trunk (will correspond to revision 682)
+
+	* VERSION:
+	switched back to 1.0.0-devel
+
+	* SoftDrop.{hh,cc}:
+	added support for re-clustering through set_reclustering(bool,
+	Recluster*). By default, reclustering is done with
+	Cambridge/Aachen.
+
+	* example_recluster.{cc,ref}:              *** ADDED ***
+	added an example of reclustering
+
+	* Recluster.{hh,cc}:
+	added a 'single' ctor argument [true by default]. When true, the
+	hardest jet after reclustering is returned, otherwise, the result
+	is a composite jet with all the subjets as its pieces.
+
+2014-05-15  Gregory Soyez  <soyez@fastjet.fr>
+
+	* VERSION:
+	set version number to 1.0-alpha-PUWS14.1 in preparation for a
+	fastjet-contrib release for the pileup-workshop at CERN on May
+	2014.
+
+2014-04-25  Gregory Soyez  <soyez@fastjet.fr>
+
+	* ModifiedMassDropTagger.hh:
+	* ModifiedMassDropTagger.cc:
+	  Added comments at various places
+
+	* AUTHORS:
+	* README:
+	Updated info about what is now included in this contrib
+
+	* SoftDrop.hh:                *** ADDED ***
+	* SoftDrop.cc:	              *** ADDED ***
+	* Recluster.hh:	              *** ADDED ***
+	* Recluster.cc;               *** ADDED ***
+	Added tools for reclustering and softDrop
+
+2014-04-25  Gregory Soyez  <soyez@fastjet.fr>
+
+	branch started at revision 611 to start including SoftDrop in the
+	Recursivetols contrib
+
+2014-04-24  Gregory Soyez  <soyez@fastjet.fr>
+
+	* ModifiedMassDropTagger.hh:
+	added a mention of the fact that when result is called in the
+	presence of a subtractor, then the output is a subtracted
+	PseudoJet.
+
+	* ModifiedMassDropTagger.hh:
+	declared _symmetry_cut as protected (rather than provate) so it
+	can be accessed if symmetry_cut_description() is overloaded.
+
+	* example.cc:
+	trivial typo fixed in a comment
+
+2014-02-04  Gavin Salam  <gavin.salam@cern.ch>
+
+	* VERSION: 
+	upped it to 1.0-beta1
+
+	* example_mmdt_sub.cc (main): 
+	added an #if to make sure FJ3.1 features are only used if FJ3.1
+	is available. (Currently FJ3.1 is only available to FJ developers).
+
+2014-01-26  Gavin Salam  <gavin.salam@cern.ch>
+
+	* VERSION:
+	renamed to 1.0-beta0
+
+	* ModifiedMassDropTagger.hh:
+	* README:
+	added info on author names
+
+	* example_mmdt_sub.ref: *** ADDED ***
+	added reference output for the pileup test.
+
+2014-01-25  Gavin Salam  <gavin.salam@cern.ch>
+
+	* example_mmdt_sub.cc:
+	* Makefile:
+	added an extra example illustrating functionality with pileup
+	subtraction.
+
+2014-01-24  Gavin Salam  <gavin.salam@cern.ch>
+
+	* ModifiedMassDropTagger.cc:
+
+	Reorganised code so that (sub)jet.m2()>0 check is only used when
+	absolutely necessary: so if using a scalar_z symmetry measure,
+	whenever scalar_z < zcut, then there is no point checking the mu
+	condition. This means that there's no issue if the (sub)jet mass
+	is negative, and one simply recurses down into the jet. (Whereas
+	before it would bail out, reducing the tagging efficiency).
+
+	Also removed the verbose code.
+
+2014-01-23  Gavin Salam  <gavin.salam@cern.ch>
+
+	* ModifiedMassDropTagger.cc|hh:
+	* example.cc
+	replaced "asymmetry" with "symmetry" in a number of places;
+	implemented the structural information and added it to the example;
+	added a new simplified constructor;
+	improved doxygen documentation;
+	started renaming -> RecursiveTools
+
+	* README
+	some tidying
+
+	* VERSION
+	1.0-b0
+
+2014-01-22  Gavin Salam <gavin.salam@cern.ch>
+
+	* ModifiedMassDropTagger.cc (contrib):
+	-ve mass now bails out also when using the "y" asymmetry measure.
+	Also, default my is now infinite.
+
+2014-01-20  Gavin Salam <gavin.salam@cern.ch> + Gregory
+
+
+	* ModifiedMassDropTagger.cc|hh:
+	introduced a virtual asymmetry_cut_fn (essentially a
+	dummy function returning a constant), to allow for derived classes
+	to do fancier things.
+
+	added warning about non-C/A clustering.
+	explicitly labelled some (inherited) virtual functions as
+	virtual. 
+
+2014-01-20  Gavin Salam  <gavin.salam@cern.ch>
+
+	* example.ref:
+	* example.cc (main):
+	got a first working example and make check setup.
+
+	* ModifiedMassDropTagger.cc|hh:
+	improved doxygen comments;
+	added option whereby input jet is assumed already subtracted
+
+2014-01-19  Gavin Salam  <gavin.salam@cern.ch>
+
+	* ModifiedMassDropTagger.cc|hh:
+	* many other files
+
+        Initial creation, with basic code for MMDT
+
Index: external/fastjet/contribs/RecursiveTools/ModifiedMassDropTagger.cc
===================================================================
--- external/fastjet/contribs/RecursiveTools/ModifiedMassDropTagger.cc	(revision d38348d6fa05d814372b4af29ec82c9928ff5be9)
+++ external/fastjet/contribs/RecursiveTools/ModifiedMassDropTagger.cc	(revision d38348d6fa05d814372b4af29ec82c9928ff5be9)
@@ -0,0 +1,43 @@
+// $Id: ModifiedMassDropTagger.cc 683 2014-06-13 14:38:38Z gsoyez $
+//
+// Copyright (c) 2014-, Gavin P. Salam
+//
+//----------------------------------------------------------------------
+// This file is part of FastJet contrib.
+//
+// It is free software; you can redistribute it and/or modify it under
+// the terms of the GNU General Public License as published by the
+// Free Software Foundation; either version 2 of the License, or (at
+// your option) any later version.
+//
+// It is distributed in the hope that it will be useful, but WITHOUT
+// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+// or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
+// License for more details.
+//
+// You should have received a copy of the GNU General Public License
+// along with this code. If not, see <http://www.gnu.org/licenses/>.
+//----------------------------------------------------------------------
+
+#include "ModifiedMassDropTagger.hh"
+#include "fastjet/JetDefinition.hh"
+#include "fastjet/ClusterSequenceAreaBase.hh"
+#include <algorithm> 
+#include <cstdlib> 
+
+using namespace std;
+
+FASTJET_BEGIN_NAMESPACE      // defined in fastjet/internal/base.hh
+
+namespace contrib{
+
+//----------------------------------------------------------------------
+string ModifiedMassDropTagger::symmetry_cut_description() const {
+  ostringstream ostr;
+  ostr << _symmetry_cut << " [ModifiedMassDropTagger]";
+  return ostr.str();
+}
+
+} // namespace contrib
+
+FASTJET_END_NAMESPACE
